Skip to main content
GET
/
api
/
openapi
/
products
List Products
curl --request GET \
  --url https://api.platform.poderp.com/api/openapi/products \
  --header 'Authorization: Bearer <token>'
[
  {
    "spuCode": "<string>",
    "title": "<string>",
    "name": "<string>",
    "cnName": "<string>",
    "category": "<string>",
    "productImage": "<string>",
    "sizes": [
      "<string>"
    ],
    "colors": [
      "<string>"
    ],
    "variants": [
      {
        "skuCode": "<string>",
        "size": "<string>",
        "color": "<string>",
        "weight": 123
      }
    ]
  }
]
Returns all products available to your account. Each product includes its variants (SKUs) with the skuCode you need for creating orders.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

List of available products

spuCode
string

Product code

title
string

Product title

name
string

English name

cnName
string

Chinese name

category
string

Product category

productImage
string

Product image URL

sizes
string[]

Available sizes

colors
string[]

Available colors

variants
object[]

All SKU variants of this product